Bug 173918 - [PATCH] deskutils/recoll: update to 1.18.1, take maintainership
Summary: [PATCH] deskutils/recoll: update to 1.18.1, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-26 02:10 UTC by nemysis
Modified: 2012-12-04 20:22 UTC (History)
0 users

See Also:


Attachments
recoll-1.18.1.patch (3.97 KB, patch)
2012-11-26 02:10 UTC, nemysis
no flags Details | Diff
recoll.diff (5.05 KB, patch)
2012-12-03 07:59 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-11-26 02:10:00 UTC
- Update to 1.18.1
- Take maintainership

Makefile changed:
+COMMENT=	Personal full text search package, based on Xapian

Changed and refined:
 post-configure:
 pkg-plist

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean

Can't give build log, because RedPorts not works at the time.
Comment 1 Wesley Shields freebsd_committer 2012-11-29 16:34:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 Wesley Shields freebsd_committer 2012-12-03 02:33:40 UTC
If the QT4 option is turned on this port fails under 9.x.

The bin/recollq binary is not installed on 9.x. If I turn off QT4 the
port builds just fine. Can you please investigate this?

If you would like build logs I can provide them.

-- WXS
Comment 3 nemysis 2012-12-03 07:59:37 UTC
On Sun, 2 Dec 2012 21:33:40 -0500
Wesley Shields <wxs@FreeBSD.org> wrote:

> If the QT4 option is turned on this port fails under 9.x.
> 
> The bin/recollq binary is not installed on 9.x. If I turn off QT4 the
> port builds just fine. Can you please investigate this?
> 
> If you would like build logs I can provide them.
> 
> -- WXS

I have solved this issue, must patch

@${REINPLACE_CMD} -e \
	's|$${MAKE} -C query recollq|@NOQTMAKE@$${MAKE} -C query recollq|' ${WRKSRC}/Makefile.in

@${REINPLACE_CMD} -e 's|@NOCMDLINE@|@NOQTMAKE@|g' \
	${WRKSRC}/recollinstall.in


portlint -A
looks fine.


With all Options works good
port test: clean

Regards,
nemysis
Comment 4 nemysis 2012-12-03 09:15:51 UTC
Sorry this is a mistake should be to be more precise

post-patch:
        @${REINPLACE_CMD} \
                -e 's|$${MAKE} -C query recollq|@NOQTMAKE@$${MAKE} -C query recollq|' ${WRKSRC}/Makefile.in
        @${REINPLACE_CMD} \
                -e 's|/usr/local/lib|${LOCALBASE}/lib|' ${WRKSRC}/configure
        @${REINPLACE_CMD} \
                -e 's|= -g -O2|=|' ${WRKSRC}/mk/localdefs.in
        @${REINPLACE_CMD} \
                -e 's|-pthread|${PTHREAD_LIBS}|' ${WRKSRC}/mk/${OPSYS}
        @${REINPLACE_CMD} -e 's|@NOCMDLINE@|@NOQTMAKE@|g' \
                ${WRKSRC}/recollinstall.in

Please use this

Regards,
nemysis
Comment 5 Wesley Shields freebsd_committer 2012-12-04 20:22:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!